<?php


namespace App\Repository\Traits;


trait EventCallableTrait
{
    /**
     * 静态调用方法
     * @param string $methodName 函数名
     * @param array $args 函数参数
     * @return mixed
     */
    public function __call($methodName, $args)
    {
        // TODO: Implement __call() method.
        $methodPrefix = $methodName;
        if ($methodPrefix == 'event') {

        }
    }

    /**
     * 静态调用方法
     * @param string $methodName 函数名
     * @param array $args 函数参数
     * @return mixed
     */
    public static function __callStatic($methodName, $args)
    {
        // 实例化当前类
        $instance = new static;
        // 调用当前实例的 $method 方法
        return call_user_func_array([$instance, $methodName], $args);
    }
}
